Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1661186 - redhat-rpm-config: Provide macros for extension builders [rhel-8]
Summary: redhat-rpm-config: Provide macros for extension builders [rhel-8]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: redhat-rpm-config
Version: 8.1
Hardware: All
OS: All
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Florian Festi
QA Contact: Eva Mrakova
URL:
Whiteboard:
Depends On: 1543394 1681082
Blocks: 1634784 1684464
TreeView+ depends on / blocked
 
Reported: 2018-12-20 10:47 UTC by Florian Weimer
Modified: 2020-11-14 13:42 UTC (History)
9 users (show)

Fixed In Version: redhat-rpm-config-118-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1543394
Environment:
Last Closed: 2019-11-05 20:58:43 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3389 0 None None None 2019-11-05 20:58:56 UTC

Description Florian Weimer 2018-12-20 10:47:30 UTC
+++ This bug was initially created as a clone of Bug #1543394 +++

Extension builders are tools which automatically build C/C++ extensions for use with other programming languages (Python, Ruby, Go, npm, and so on).

These extension builders do not want to use the default GCC flags (no optimization, no debugging information, no hardening), but they also cannot use the flags for instrumented builds redhat-rpm-config provides.

I have come up with a somewhat hackish solution to provide compiler/linker flags which have no external dependencies.  These can then be baked into extension builders, so that only gcc/gcc-c++ will be needed for building extensions, but not redhat-rpm-config, annobin, and whatever build instrumentation we add in the future.

Comment 4 Petr Pisar 2019-03-06 08:39:16 UTC
Because Perl (and maybe Ruby) cannot utilize these new macros now and in a foreseen future, please make sure that this change does not break them.
I.e. adding new macros and not changing optflags and __global_ldflags is fine.

Comment 5 Florian Weimer 2019-03-06 09:32:38 UTC
(In reply to Petr Pisar from comment #4)
> Because Perl (and maybe Ruby) cannot utilize these new macros now and in a
> foreseen future, please make sure that this change does not break them.
> I.e. adding new macros and not changing optflags and __global_ldflags is
> fine.

Good point.  The upstream change

  <https://src.fedoraproject.org/rpms/redhat-rpm-config/c/e80fa1344a49662fec08d650debf793048c87429?branch=master>

should be fine in this regard.

Comment 9 Petr Viktorin 2019-04-09 13:15:25 UTC
Ping, we need this for RHEL 8.1. What can we do to move this forward?

Comment 10 Charalampos Stratakis 2019-05-07 13:09:41 UTC
Can we move this forward?

Comment 11 Daniel Mach 2019-05-16 15:07:09 UTC
Yes we can move it forward as soon as we get this bug fully approved.
Jan, can we get qa_ack+ on this bug?

Comment 20 errata-xmlrpc 2019-11-05 20:58:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3389


Note You need to log in before you can comment on or make changes to this bug.